Subject: [Capwap] First Things for CAPWAP protocol

From: Yao Zhong Hui <[email-masked]>
Date: Tue, 08 Mar 2005 17:01:47 +0800

Deer all,

We have had two different proposals(ie. LWAPP and CTP) on CAPWAP protocol and maybe more are running to us. But I think we 

should clarify all CAPWAP architectural questions first. So I issue my opinions below, and would like to listen you all for 

any comments.  

(1) THE SCOPE OF CAPWAP WG

We can logically divided the infrastructure into two planes: Control and management plane, and data plane. In a WLAN network, 

data plane is DS, and AC is a logical entity in CAPWAP context in control and management plane that act the role of 

centralized control and management . Figure 1 shows that one WLAN infrastructure can support multi-logical network though 

multi-logical DS. 
                              |
                              |
                              |          
                              |         
                           ++++++++         +++++++++++++++
   ++++++++                +  |   +---------+    DS       +
   +      +----------------+ WTP  +         +   +++++++++++++++
   +  AC  +                +  |   +---------+---+         +   +
   +      +--------+       ++++++++         +   +    DS   +   +
   ++++++++        |          |             +   +         +   +
                   |          |             +   +         +   +
                   |       ++++++++         +   +         +   +
                   |       +  |   +---------+   +         +   +
                   +-------+ WTP  +         +++++++++++++++   +
                           +  |   +-------------+             +
                           ++++++++             +++++++++++++++
                              |
  Control and Management      |            Data Plane
         Plane                |   (Support Multi-logical user groups)
                              |
                              |

                         figure 1

You also can deploy a centralized DS,and you can also release a AC device that simultaneously support both centralized DS 

functions and centralized control and management functions, but it is out of scope of CAPWAP WG. 

SO, we can get figure 2 that shows the scope of CAPWAP WG, and the interface relationship between different logical entities. 

Figure 2 also shows that relationship between CAPWAP WG and IEEE 802.11: CAPWAP WG only focus on Controlling and Provisioning 

of WTP, Don't change any WM interfaces and DSM interface. Especially don't conflict with 802.11u concerns.

                   |------------------|
                   |     +++++++++    |
                   |     +       +    |
                   |     +  AC   +    |
                   |     +       +    |
                   |     +++++++++    |
                   |        /|\       |
                   |         |        |
                   |     (IP)| ?      |
                   |         |        |
                   |        \|/       |              ++++++
 +++++++           |     +++++++++    |           +++++++ +
 +     +    802.11 |     +       +    |  ?        +  +  + +
 + STA +<----------|---->+  WTP  +<---|---------->+  +DS+ +
 +     +    (WM)   |     +       +    |(DSM )     +DS++++++
 +++++++           |     +++++++++    |           +++++++
                   |   The Scope of   |
                   |    CAPWAP WG     |
                   |------------------|
                        figure 2

Then we can focus on CAPWAP WG should concerns.

(2) "WTP-to-AC" SERVICE AND "WTP-to-DS" SERVICE

Generally, WTP access network by LAN, see figure 3:

     ++++++++              ++++++++++             ++++++++
     +      + Uncontrolled +        + Controlled  +
     +  AC  +--------------+ Switch +-------------+ Controlled Services             
     +      +    Port      +        +    Port     +
     ++++++++              ++++++++++             ++++++++
                                |
                                |        
                                | LAN 
                                |
                                |
                            +++++++++
                            +       +
                            +  WTP  +
                            +       +
                            +++++++++
                            figure 3

But in some ISP network, ADSL access or WiMAX access is also a selection. See figure 4 below:

     ++++++++              +++++++++++             ++++++++
     +      + Uncontrolled +  Accss  +  Controlled + 
     +  AC  +--------------+ Network +-------------+ Controlled Services             
     +      +    Port      +         +    Port     +
     ++++++++              +++++++++++             ++++++++
                                |
                                | 
                                | LAN, ADSL, WiMAX, 802.11 WDM,...
                                |
                                |
                            +++++++++
                            +       +
                            +  WTP  +
                            +       +
                            +++++++++
                            figure 4

Figure 4 replace figure 3 "Switch" box with "Access Network" box to show a more abstract model. It is easy to do for a switch 

or an access network that distinguish AC and DS services through physical port, but commonly WTP only one phsical port to 

backhaul. So it is required that WTP can logically identify DS service flow and AC service flow with a common method that a 

switch and an access network can understand . If supportting logical network, WTP also required to identify different DS 

service flows. So I think VLAN maybe a best selection to fulfil this requirement.

(3) WTP-AC i/f PROTOCOL STACK

                ++++++++++++++++++++++
                +       WTPAP        +
                ++++++++++++++++++++++
                +         IP         +
                ++++++++++++++++++++++
                + Uncontrolled Port  +
                ++++++++++++++++++++++
                      figure 5

I sugguest we name that CAPWAP protocol as Wirelss Terminal Point Application Protocal(WTPAP) that can show our CAPWAP WG 

concerns. This protocol should based on IP and require WTP to distinguish it from DS services. 

Thanks
Zhonghui Yao